function onBegin()
	disableMovement()
	disableRetry()
	disablePause()
	player.ForceCameraUpdate=true
	waitUntilOnGround()
	setFlag("introtele", true)
	wait(0.5)
	player.DummyAutoAnimate=false
	player.Sprite:Play("sleep")
	wait(10)
	player.DummyAutoAnimate=true

end

function onEnd()
	enableMovement()
	enableRetry()
	enablePause()
	teleportTo(472, 544, "a-lobby")
	setFlag("telewake", true)

end